using System;
namespace Takmicenje_pecina
{
    internal class Program
    {

        static void Main(string[] args)
        { 
            int N=Convert.ToInt32(Console.ReadLine());
            int L=Convert.ToInt32(Console.ReadLine());
              
            int[] visineStalaktita = new int[N];
            for (int i = 0; i < N; i++) { 
                 visineStalaktita[i] =Convert.ToInt32(Console.ReadLine());
            } 

            int rezultat = PronadjiStalaktit(visineStalaktita, L, 0);

            Console.WriteLine(rezultat);

            }
        static int PronadjiStalaktit(int[] visine, int L, int index)
        {
            if (index >= visine.Length)
            {
                return -1;
            }
            if (visine[index] < L)
            {
                return index + 1;
            }
            return PronadjiStalaktit(visine, L, index + 1);
        }

    }

    }